/*******************************************************************************
 *
 * htmlparser.h - HTML parsing engine
 *
 * Cheetah Web Browser
 * Copyright (C) 2001 Garett Spencley 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 *
 *******************************************************************************/

#ifndef __HTML_PARSER_H__
#define __HTML_PARSER_H__

#include "buffer.h"
#include "htmltag.h"

typedef struct {
	char *tag_name;
	html_tag_args *args;
} html_tag;

int html_parse_document(buffer_t *document);
html_tag *get_next_tag(void);
char *get_text(void);

#endif
